> For the complete documentation index, see [llms.txt](https://docs.novacura.com/flow-development-guidelines/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novacura.com/flow-development-guidelines/advance-flow-features/rest-api/troubleshooting-rest.md).

# Troubleshooting REST

## Unexpected character encountered

Today suddenly our Zendesk integration stopped working, with an error message sating:&#x20;

*"Unexpected character encountered while parsing value: {. Path 'tickets\[0].satisfaction\_rating', line 1, position 1673"*

First step in our troubleshooting process was to enable logging&#x20;

![Enable logging](/files/-MXpdh8xG1jDFdnBiGfS)

And in the logfiles I could find the position of where the error occurred (e.g. pos. 1673). However, the string I found here was nothing directly weird with: ""satisfaction\_rating":{"score":"unoffered"}".&#x20;

But - my REST model in the Flow Connector had satisfaction\_rating set as a string, while if I decipher the Json-syntax can see that satisfaction\_rating actually is an Object with one Element (score).&#x20;

Updating my model to this made it work again:

![](/files/-MXpfE0SxbA_5VUMNNR8)

So obviously Zendesk changed something on their end, and this is how we isolated the issue and updated it on our end.&#x20;

{% hint style="info" %}
Pro Tip: in this scenario I created a separated Object that I then embedded into my Tickets model. Figuring that I will not use the satisfaction\_rating in other places I might decide to convert it to embedded model instead by right-clicking on it (note the warning text that you need to refresh the connector machine steps in Flow to reflect the change):&#x20;
{% endhint %}

![Convert to embedded model](/files/-MXpm8jVvOhM3LOaypoP)

![Note the confirm action](/files/-MXpmMKstX88gvDu86zY)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novacura.com/flow-development-guidelines/advance-flow-features/rest-api/troubleshooting-rest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
